summaryrefslogtreecommitdiffstats
path: root/system/wine
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 19:46:45 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 19:46:45 +0200
commit25b01fabba43ae115ca01d8f37e6ffa309d7df99 (patch)
tree6d74415a8e20b988fa505786fca827262c7206e8 /system/wine
parent50429056150db116ab36557821d18a3bfd197c44 (diff)
downloadslackbuilds-25b01fabba43ae115ca01d8f37e6ffa309d7df99.tar.gz
slackbuilds-25b01fabba43ae115ca01d8f37e6ffa309d7df99.tar.xz
system/wine: Updated for version 0.9.58
Diffstat (limited to 'system/wine')
-rw-r--r--system/wine/README10
-rw-r--r--system/wine/doinst.sh1
-rw-r--r--system/wine/slack-desc14
-rw-r--r--system/wine/wine.SlackBuild55
-rw-r--r--system/wine/wine.info8
5 files changed, 61 insertions, 27 deletions
diff --git a/system/wine/README b/system/wine/README
index 48b4d89c99..4386905cbc 100644
--- a/system/wine/README
+++ b/system/wine/README
@@ -3,6 +3,12 @@ Wine is an Open Source implementation of the Windows API on top of X and Unix.
This script includes the capability to enable/disable OpenGL acceleration:
read the script for more information.
-For whatever reason, wine now seems to require a 2.6.x kernel to either build
-it or use it.
+If you are building this on Slamd64, execute the build script as follows:
+ DISTRO=slamd64 ARCH=x86_64 ./wine.SlackBuild
+If you build on a multicore system, add JOBS={#} to enable parallel
+compilation, as in: JOBS=4 ./wine.SlackBuild
+which starts up to 4 build jobs simultaneously.
+
+While it's not strictly required, the fontforge package is strongly
+recommended to be installed when building wine.
diff --git a/system/wine/doinst.sh b/system/wine/doinst.sh
index f364075896..82a2a30436 100644
--- a/system/wine/doinst.sh
+++ b/system/wine/doinst.sh
@@ -1,3 +1,4 @@
+
if [ -x usr/bin/update-desktop-database ]; then
usr/bin/update-desktop-database -q usr/share/applications
fi
diff --git a/system/wine/slack-desc b/system/wine/slack-desc
index e57f3d9a44..f2171fa428 100644
--- a/system/wine/slack-desc
+++ b/system/wine/slack-desc
@@ -1,11 +1,19 @@
-wine: Wine Is Not an Emulator
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wine: wine (Wine Is Not an Emulator)
wine:
wine: Wine is an Open Source implementation of the Windows API
wine: on top of X and Unix.
wine:
-wine: Wine requires a 2.6.x kernel.
+wine: Homepage: http://www.winehq.com/
+wine:
wine:
wine:
-wine: Homepage: http://www.winehq.com/
wine:
wine:
diff --git a/system/wine/wine.SlackBuild b/system/wine/wine.SlackBuild
index b4b1aee43a..09eccb54ff 100644
--- a/system/wine/wine.SlackBuild
+++ b/system/wine/wine.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for wine
-# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2008 Robby Workman Northport, AL, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,43 +22,63 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
+# Thanks to Carlos Corbacho for the diff to support building on 64 bit
PRGNAM=wine
-VERSION=0.9.38
+VERSION=${VERSION:-0.9.58}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# Parallel compilation support
+JOBS=${JOBS:-1}
+
# If you have a video card that supports hardware accelerated OpenGL,
# then set the variable below to "YES" - otherwise, "NO"
# This can be specified on the command line when calling the build script:
# OPENGL=NO ./wine.SlackBuild
OPENGL=${OPENGL:-YES}
-# We used to support applying some patches for proper WoW operation,
-# but they should not be needed any more. The link below is staying
-# just in case, though - it's handy reading too... :)
-# http://appdb.winehq.org/appview.php?versionId=5606
+# On x86_64, Wine is built as a 32 bit application, as Wine's 64 bit support
+# isn't much use at the moment (it's non functional, for developers only)
+# http://wiki.winehq.org/Wine64
+# (On Slamd64, you must have the c/ series installed to build Wine)
+
+DISTRO=${DISTRO:-slackware}
+
+if [ $DISTRO = slackware ]; then
+ PKGARCH=$ARCH
+else
+ PKGARCH=${ARCH}_${DISTRO}
+fi
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
# If OPENGL=YES above, then enable opengl; otherwise, disable it.
if [ "$OPENGL" = "YES" ]; then
@@ -74,15 +94,14 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--with-x \
--disable-debug \
- --${do_opengl}able-opengl \
- || exit 1
+ --${do_opengl}able-opengl
-make depend || exit 1
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make -j${JOBS} depend
+make -j${JOBS}
+make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
@@ -101,4 +120,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$PKGARCH-$BUILD$TAG.tgz
diff --git a/system/wine/wine.info b/system/wine/wine.info
index eea095e181..96e5943c43 100644
--- a/system/wine/wine.info
+++ b/system/wine/wine.info
@@ -1,8 +1,8 @@
PRGNAM="wine"
-VERSION="0.9.38"
+VERSION="0.9.58"
HOMEPAGE="http://www.winehq.com/"
-DOWNLOAD="http://ibiblio.org/pub/linux/system/emulators/wine/wine-0.9.38.tar.bz2"
-MD5SUM="6d8cf3a9eef08e9dfbc3105ccd1ce648"
+DOWNLOAD="http://ibiblio.org/pub/linux/system/emulators/wine/wine-0.9.58.tar.bz2"
+MD5SUM="2162b67f5f4f643ae8928ad40cb37b21"
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="BP{k}"
+APPROVED="Michiel"